﻿using KnockoutApi;

namespace ScriptSharpKnockout.KnockoutTutorial
{
    public class ViewModel
    {
        public Observable<string> FirstName = Knockout.Observable<string>("first Name");
        public Observable<string> LastName = Knockout.Observable<string>("last Name");
        public DependentObservable<string> FullName;

        public ViewModel()
        {
            FullName = Knockout.DependentObservable<string>(
                delegate
                {
                    return "你好:" + FirstName.GetValue() + "  " + LastName.GetValue();
                });
        }

        public void UpdateValue()
        {
            this.LastName.SetValue(this.LastName.GetValue().ToUpperCase());
        }
    }
}