//! ScriptSharpKnockout.debug.js
//

(function($) {

Type.registerNamespace('ScriptSharpKnockout.KnockoutTutorial');

////////////////////////////////////////////////////////////////////////////////
// ScriptSharpKnockout.KnockoutTutorial.ViewModel

ScriptSharpKnockout.KnockoutTutorial.ViewModel = function ScriptSharpKnockout_KnockoutTutorial_ViewModel() {
    /// <field name="firstName" type="Observable`1">
    /// </field>
    /// <field name="lastName" type="Observable`1">
    /// </field>
    /// <field name="fullName" type="DependentObservable`1">
    /// </field>
    this.firstName = ko.observable('first Name');
    this.lastName = ko.observable('last Name');
    this.fullName = ko.dependentObservable(ss.Delegate.create(this, function() {
        return '\u4f60\u597d:' + this.firstName() + '  ' + this.lastName();
    }));
}
ScriptSharpKnockout.KnockoutTutorial.ViewModel.prototype = {
    fullName: null,
    
    updateValue: function ScriptSharpKnockout_KnockoutTutorial_ViewModel$updateValue() {
        this.lastName(this.lastName().toUpperCase());
    }
}


Type.registerNamespace('ScriptSharpKnockout');

////////////////////////////////////////////////////////////////////////////////
// ScriptSharpKnockout._page



ScriptSharpKnockout.KnockoutTutorial.ViewModel.registerClass('ScriptSharpKnockout.KnockoutTutorial.ViewModel');
(function () {
    $(function() {
        ko.applyBindings(new ScriptSharpKnockout.KnockoutTutorial.ViewModel());
    });
})();
})(jQuery);

//! This script was generated using Script# v0.7.3.0
